Skip to main content
POST
https://api.onstacks.io
/
v1
/
transfers
Create transfer
curl --request POST \
  --url https://api.onstacks.io/v1/transfers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "network_code": "<string>",
  "asset": "<string>",
  "amount": "<string>",
  "to_address": "<string>"
}
'
{
  "data": {
    "activity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>"
  },
  "error": null,
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key. Send it as Authorization: Bearer <api_key>.

Query Parameters

environment
enum<string>
default:sandbox

Environment scope for environment-partitioned resources. Defaults to sandbox when omitted.

Available options:
sandbox,
live

Body

application/json
wallet_id
string<uuid>
required
network_code
string
required
asset
string
required
amount
string
required
to_address
string
required

Response

Transfer activity created

data
object
required
error
null
required
request_id
string
required